#
# spec file for package ptools
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ptools
Version:        0.1
Release:        29.2
Summary:        The process tools collection
License:        GPL-2.0-or-later
Group:          Development/Tools/Debuggers
URL:            ftp://ftp.suse.com/pub/people/jblunck/ptools/
Source:         %{name}-%{version}.tar.bz2
Patch0:         output-l_addr.diff
Patch1:         commit-a42a099
Patch2:         fix-32bit-cast.diff
BuildRequires:  libelf-devel
BuildRequires:  popt-devel
#ExclusiveArch:  %{ix86} x86_64

%description
pbuildid dumps the build-ids of an executable, core file or a process,
given the pid of that process.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc README
%{_bindir}/pbuildid
%{_mandir}/man1/pbuildid.1%{?ext_man}

%changelog
* Fri Aug  9 2024 Martin Jambor <mjambor@suse.com>
- Added fix-32bit-cast.diff which replaces a cast which is OK for
  64bit targets but not for 32 bit targets to make the package
  buildable with GCC 14 on i586.
* Thu Feb 29 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN.
* Tue Nov  7 2023 Dirk Müller <dmueller@suse.com>
- spec-cleaner run
* Sun Oct 31 2010 jengelh@medozas.de
- Use %%_smp_mflags
* Mon Sep 21 2009 jblunck@suse.de
- Fix crash in map_seach_ehdr().
* Tue Feb  3 2009 jblunck@suse.de
- Print out the load address of shared objects as well.
* Mon Nov 10 2008 jblunck@suse.de
- Relocate the AT_SYSINFO_EHDR to match the link_map->l_addr
- Check the version of the linker protocol used by the dynamic linker
- Parse section headers when processing executables
- Add pbuildid manual page
- Various cleanups
* Fri Nov  7 2008 jblunck@suse.de
- Add --kernel and --vdso command line.
* Thu Nov  6 2008 jblunck@suse.de
- The initial package of this tools. Only includes pbuildid for the moment.
